lbmk: Fix regressions

- A spurious semicolon caused the arguments to printf in die() to be
  executed instead of printed
- ${@} in die() needs to be in quotes or else printf prints each word on
  a separate line
- The number of arguments to main() does not include main itself so it
  should be comparing against 1 instead of 2 to determine if enough
  arguments were supplied.
fsdg20230625
Nicholas Chin 2023-06-12 17:27:49 -06:00
parent b52a7f4f86
commit 0fade1b64c
No known key found for this signature in database
GPG Key ID: 2D0EB28C84678DAA
1 changed files with 2 additions and 2 deletions

4
lbmk
View File

@ -39,7 +39,7 @@ main()
elif [ "${0##*/}" = "blobutil" ]; then
./update blobs $@ || exit 1
exit 0
elif [ $# -lt 2 ]; then
elif [ $# -lt 1 ]; then
die "Too few arguments. Try: ${0} help"
fi
@ -121,7 +121,7 @@ listmodes()
die()
{
printf "Error: %s\n"; ${@} 1>&2
printf "Error: %s\n" "${@}" 1>&2
exit 1
}